Bollettino di aggiornamento dei pixel - giugno 2021

Pubblicato il 7 giugno 2021

Il Pixel Update Bulletin contiene dettagli sulle vulnerabilità della sicurezza e sui miglioramenti funzionali che interessano i dispositivi Pixel supportati (dispositivi Google). Per i dispositivi Google, i livelli di patch di sicurezza del 05/06/2020 o successivi risolvono tutti i problemi in questo bollettino e tutti i problemi nel bollettino sulla sicurezza Android di giugno 2021. Per informazioni su come controllare il livello di patch di sicurezza di un dispositivo, consulta Controllare e aggiornare la versione di Android .

Tutti i dispositivi Google supportati riceveranno un aggiornamento al livello di patch 2021-06-05. Incoraggiamo tutti i clienti ad accettare questi aggiornamenti sui propri dispositivi.

Annunci

  • Per luglio, il bollettino di aggiornamento Pixel verrà rilasciato il 7 luglio 2021.
  • Oltre alle vulnerabilità di sicurezza descritte nell'Android Security Bulletin di giugno 2021, i dispositivi Google contengono anche patch per le vulnerabilità di sicurezza descritte di seguito. Se del caso, i partner sono stati informati che questi problemi sono stati risolti e possono scegliere di incorporarli come parte degli aggiornamenti del dispositivo.

Patch di sicurezza

Le vulnerabilità sono raggruppate in base al componente che interessano. C'è una descrizione del problema e una tabella con CVE, riferimenti associati, tipo di vulnerabilità , gravità e versioni aggiornate di Android Open Source Project (AOSP) (se applicabile). Quando disponibile, colleghiamo la modifica pubblica che ha risolto il problema all'ID bug, come l'elenco delle modifiche AOSP. Quando più modifiche si riferiscono a un singolo bug, i riferimenti aggiuntivi sono collegati ai numeri che seguono l'ID del bug.

Runtime Android

CVE Riferimenti genere Gravità Versioni AOSP aggiornate
CVE-2020-1971 A-175147055 DoS Moderare 11
CVE-2021-0555 A-179161711 DoS Moderare 11

Struttura

CVE Riferimenti genere Gravità Versioni AOSP aggiornate
CVE-2021-0571 A-137395936 [ 2 ] [ 3 ] [ 4 ] [ 5 ] EoP alto 11
CVE-2021-0534 A-170639543 EoP Moderare 11
CVE-2021-0550 A-179688673 EoP Moderare 11
CVE-2021-0567 A-179461812 EoP Moderare 11
CVE-2021-0568 A-170121238 EoP Moderare 11
CVE-2021-0570 A-178803845 EoP Moderare 11
CVE-2021-0554 A-158482162 [ 2 ] [ 3 ] ID Moderare 11
CVE-2021-0569 A-174045870 ID Moderare 11
CVE-2021-0572 A-177931355 ID Moderare 11

Struttura multimediale

CVE Riferimenti genere Gravità Versioni AOSP aggiornate
CVE-2021-0565 A-174801970 EoP alto 11
CVE-2021-0557 A-179046129 RCE Moderare 11
CVE-2021-0564 A-176495665 [ 2 ] [ 3 ] [ 4 ] EoP Moderare 11
CVE-2021-0556 A-172716941 ID Moderare 11
CVE-2021-0558 A-173473906 ID Moderare 11
CVE-2021-0559 A-172312730 ID Moderare 11
CVE-2021-0561 A-174302683 ID Moderare 11
CVE-2021-0562 A-176084648 ID Moderare 11
CVE-2021-0563 A-172908358 [ 2 ] ID Moderare 11
CVE-2021-0566 A-175894436 ID Moderare 11

Sistema

CVE Riferimenti genere Gravità Versioni AOSP aggiornate
CVE-2021-0535 A-168314741 EoP Moderare 11
CVE-2021-0536 A-176756691 EoP Moderare 11
CVE-2021-0537 A-176756141 EoP Moderare 11
CVE-2021-0538 A-178821491 [ 2 ] [ 3 ] EoP Moderare 11
CVE-2021-0539 A-180419673 EoP Moderare 11
CVE-2021-0540 A-169328517 EoP Moderare 11
CVE-2021-0543 A-169258743 EoP Moderare 11
CVE-2021-0544 A-169257710 EoP Moderare 11
CVE-2021-0545 A-169258884 EoP Moderare 11
CVE-2021-0546 A-169258733 EoP Moderare 11
CVE-2021-0547 A-174151048 EoP Moderare 11
CVE-2021-0548 A-157650357 EoP Moderare 11
CVE-2021-0553 A-169936038 [ 2 ] EoP Moderare 11
CVE-2021-0541 A-169258455 ID Moderare 11
CVE-2021-0542 A-168712890 ID Moderare 11
CVE-2021-0549 A-183961896 ID Moderare 11
CVE-2021-0552 A-175124820 ID Moderare 11
CVE-2021-0551 A-180518039 DoS Moderare 11

Componenti del kernel

CVE Riferimenti genere Gravità Componente
CVE-2021-0606 A-168034487
Kernel a monte
EoP Moderare Driver DRM GPU
CVE-2021-0605 A-110373476
Kernel a monte
ID Moderare Driver di rete

Pixel

CVE Riferimenti genere Gravità Componente
CVE-2021-0607 A-180950209 * EoP alto Knowles IAXXX driver adnc
CVE-2021-0608 A-174870704 * EoP alto Pixel Launcher

Patch funzionali

Per i dettagli sulle nuove correzioni di bug e sulle patch funzionali incluse in questa versione, fare riferimento al forum Pixel Community .

Domande e risposte comuni

Questa sezione risponde alle domande comuni che possono sorgere dopo aver letto questo bollettino.

1. Come faccio a determinare se il mio dispositivo è aggiornato per risolvere questi problemi?

I livelli di patch di sicurezza del 05/06/2021 o successivi risolvono tutti i problemi associati al livello di patch di sicurezza 05/06/2021 e a tutti i livelli di patch precedenti. Per sapere come controllare il livello di patch di sicurezza di un dispositivo, leggi le istruzioni sulla pianificazione degli aggiornamenti dei dispositivi di Google .

2. Cosa significano le voci nella colonna Tipo ?

Le voci nella colonna Tipo della tabella dei dettagli della vulnerabilità fanno riferimento alla classificazione della vulnerabilità della sicurezza.

Abbreviazione Definizione
RCE Esecuzione del codice remoto
EoP Elevazione del privilegio
ID Rivelazione di un 'informazione
DoS Negazione del servizio
N / A Classificazione non disponibile

3. Cosa significano le voci nella colonna Riferimenti ?

Le voci nella colonna Riferimenti della tabella dei dettagli della vulnerabilità possono contenere un prefisso che identifica l'organizzazione a cui appartiene il valore di riferimento.

Prefisso Riferimento
UN- ID bug Android
QC- Numero di riferimento Qualcomm
M- Numero di riferimento MediaTek
N- Numero di riferimento NVIDIA
B- Numero di riferimento Broadcom

4. Cosa significa un * accanto all'ID del bug Android nella colonna Riferimenti ?

I problemi che non sono disponibili pubblicamente hanno un * accanto all'ID del bug Android nella colonna Riferimenti . L'aggiornamento per quel problema è generalmente contenuto nei driver binari più recenti per i dispositivi Pixel disponibili dal sito di Google Developer .

5. Perché le vulnerabilità di sicurezza sono suddivise tra questo bollettino e i bollettini sulla sicurezza Android?

Le vulnerabilità di sicurezza documentate nei bollettini sulla sicurezza Android devono dichiarare l'ultimo livello di patch di sicurezza sui dispositivi Android. Ulteriori vulnerabilità di sicurezza, come quelle documentate in questo bollettino, non sono necessarie per dichiarare un livello di patch di sicurezza.

Versioni

Versione Data Appunti
1.0 7 giugno 2021 Bollettino pubblicato
1.1 8 giugno 2021 Bollettino rivisto per includere collegamenti AOSP